<?php
    function recoger_post($indice)
    {
        global $HTTP_POST_VARS;

        //Recoge el valor, si puede, por post:
        if (isset($HTTP_POST_VARS[$indice])) { $valor = $HTTP_POST_VARS[$indice]; }
        else if (isset($_POST[$indice])) { $valor = $_POST[$indice]; }
        else { $valor = FALSE; }

        //Si es una array, tratamos sus valores uno a uno:
        if (is_array($valor))
        {
            foreach ($valor as $indice => $valor_real)
            {
                //Lo decodifica y quita los espacios al principio y al final:
                $valor[$indice] = trim(urldecode($valor_real));
        
                //Si es necesario (si esta activada la directiva magic_quotes_gpc), se le quitan las barras:
                if (get_magic_quotes_gpc()) { $valor[$indice] = stripslashes($valor_real); }
            }
        }
        //...pero si no, de una sola pasada:
        else
        {
            //Lo decodifica y quita los espacios al principio y al final:
            $valor = trim(urldecode($valor));
        
            //Si es necesario (si esta activada la directiva magic_quotes_gpc), se le quitan las barras:
            if (get_magic_quotes_gpc()) { $valor = stripslashes($valor); }
        }

        //Devuelve el valor:
        return $valor;
    }
?>
